> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranets-b2b-peering/customer/{id}

> Get a B2B extranet peering service customer

## OpenAPI

````json GET /v1/extranets-b2b-peering/customer/{id}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranets-b2b-peering/customer/{id}": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID of the peering service customer",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetsB2bPeeringCustomerIdGetResponse"
                }
              }
            }
          }
        },
        "description": "Get a B2B extranet peering service customer"
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetsB2bPeeringCustomerIdGetResponse": {
        "type": "object",
        "properties": {
          "customerName": {
            "type": "string",
            "example": "example string"
          },
          "emails": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "numSites": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "type": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

